const MonetDBPool = require('monetdb-pool');

const libs = `${process.cwd()}/libs`;

const config = require(`${libs}/config`);

// Connection options
const poolOptions = {
    nrConnections: config.get('monetdb:nrConnections'),
};

// Configuration options
const options = {
    host: config.get('monetdb:host'),
    port: config.get('monetdb:port'),
    dbname: config.get('monetdb:dbname'),
    user: config.get('monetdb:user'),
    password: config.get('monetdb:password'),
};

// Connection singleton
const conn = new MonetDBPool(poolOptions, options);
conn.connect();

module.exports = conn;
